MODULE dom_ice_2
   !!======================================================================
   !!                   ***  MODULE  dom_ice  ***
   !! LIM 2.0 Sea Ice :   Domain  variables
   !!======================================================================
   !! History :   2.0  !  03-08  (C. Ethe)  Free form and module
   !!----------------------------------------------------------------------
#if defined key_lim2
   !!----------------------------------------------------------------------
   !!   LIM 2.0, UCL-LOCEAN-IPSL (2005)
   !! $Id$
   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
   !!----------------------------------------------------------------------
   USE par_ice_2

   IMPLICIT NONE
   PRIVATE

   LOGICAL, PUBLIC ::   l_jeq     = .TRUE.     !: Equator inside the domain flag

   INTEGER, PUBLIC ::   njeq , njeqm1          !: j-index of the equator if it is inside the domain
      !                                        !  (otherwise = jpj+10 (SH) or -10 (SH) )

   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         ::   fs2cor , fcor,   &  !: coriolis factor and coeficient
      &                                              covrai ,         &  !: sine of geographic latitude
      &                                              area   ,         &  !: surface of grid cell 
      &                                              tms    , tmu        !: temperature and velocity points masks
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2)     ::   wght   ,         &  !: weight of the 4 neighbours to compute averages
      &                                              akappa , bkappa     !: first and third group of metric coefficients
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2,2,2) ::   alambd   !: second group of metric coefficients

   !!======================================================================
#endif
END MODULE dom_ice_2
